org.red5.server.api.scope

## Interface IGlobalScope

All Superinterfaces:
  IBasicScope, ICoreObject, IEventDispatcher, IEventHandler, IEventListener, IEventObservable, IScope, IServiceHandlerProvider, org.springframework.core.io.ResourceLoader, org.springframework.core.io.support.ResourcePatternResolver

All Known Implementing Classes:
  GlobalScope

    public interface IGlobalScope
    extends IScope

The global scope that acts as root for all applications in a host.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

### Field Summary

### Fields inherited from interface org.red5.server.api.scope.IScope

`SEPARATOR`

### Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver

`CLASSPATH_ALL_URL_PREFIX`

### Fields inherited from interface org.springframework.core.io.ResourceLoader

`CLASSPATH_URL_PREFIX`

### Method Summary

Methods
`IServer` `getServer()` Return the server this global scope runs in.
`void` `register()` Register the global scope in the server and initialize it

### Methods inherited from interface org.red5.server.api.scope.IScope

`addChildScope, connect, connect, createChildScope, disconnect, getAttribute, getAttributeNames, getAttributes, getBasicScope, getBasicScopeNames, getBroadcastScope, getClients, getConnections, getContext, getContextPath, getHandler, getScope, getScopeNames, getStatistics, hasAttribute, hasChildScope, hasChildScope, hasHandler, lookupConnections, removeAttribute, removeChildren, removeChildScope, setAttribute`

### Methods inherited from interface org.red5.server.api.scope.IBasicScope

`getDepth, getName, getParent, getPath, getStore, getType, hasParent, isValid, setKeepDelay`

### Methods inherited from interface org.red5.server.api.event.IEventDispatcher

`dispatchEvent`

### Methods inherited from interface org.red5.server.api.event.IEventHandler

`handleEvent`

### Methods inherited from interface org.red5.server.api.event.IEventListener

`notifyEvent`

### Methods inherited from interface org.red5.server.api.event.IEventObservable

`addEventListener, getEventListeners, removeEventListener`

### Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver

`getResources`

### Methods inherited from interface org.springframework.core.io.ResourceLoader

`getClassLoader, getResource`

### Methods inherited from interface org.red5.server.api.service.IServiceHandlerProvider

`getServiceHandler, getServiceHandlerNames, registerServiceHandler, unregisterServiceHandler`

### Method Detail

#### register

    void register()

Register the global scope in the server and initialize it

#### getServer

    IServer getServer()

Return the server this global scope runs in.

Returns:
  the server